Sety
  1. Access Logs
Sety
  • Developer API Reference
  • Health
    • Health check
      GET
  • Incidents
    • Create incident
      POST
    • List incidents
      GET
    • Get incident
      GET
    • Cancel incident
      POST
    • Add note
      POST
  • Access Logs
    • List access logs
      GET
    • Access log stats
      GET
    • Create access log
      POST
    • Get current visitors
      GET
    • Checkout visitor
      PATCH
  • Threat Intelligence
    • List danger zones
      GET
    • Danger analytics for a location
      GET
    • Heatmap data
      GET
    • Safety score
      GET
    • Route safety analysis
      GET
  • Schemas
    • Error
    • PaginatedResponse
    • GeoPoint
    • Subject
    • Location
    • IncidentLocation
    • SLA
    • IncidentTimelineEvent
    • ResponderAssignment
    • TimelineEvent
    • Incident
    • CreateIncidentRequest
    • IncidentAnalytics
    • AccessCode
    • CreateAccessCodeRequest
    • ValidationResult
    • AccessLog
    • CurrentVisitor
    • DangerAnalytics
    • HeatmapResponse
    • SafetyScore
    • TimeAnalysis
    • LocationComparison
    • RouteSafety
    • RiskPrediction
    • IncidentPatterns
    • SafeZones
    • ApiKey
    • CreateApiKeyRequest
    • WebhookEndpoint
    • WebhookDelivery
  1. Access Logs

List access logs

GET
/access-logs

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
Paginated logs
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/access-logs?status&visitor_phone&entry_point&from_date&to_date&page&limit' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "page": 0,
    "limit": 0,
    "totalPages": 0,
    "totalResults": 0,
    "results": [
        {
            "log_id": "string",
            "visitor_name": "string",
            "visitor_phone": "string",
            "entry_point": "string",
            "status": "checked_in",
            "checked_in_at": "2019-08-24T14:15:22.123Z",
            "checked_out_at": "2019-08-24T14:15:22.123Z",
            "duration_minutes": 0
        }
    ]
}
Modified at 2026-03-10 02:58:15
Previous
Add note
Next
Access log stats
Built with